Make issue author freetext searchable for redmine.org project members

2013-03-12 12:58 - Jan Niggemann (redmine.org team member)

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently, the issue author filter is limited to redmine.org project members.

I think it would be a good idea to either

add credible contributors like Jérôme BATAILLE or "Jan from www.plan.io" (or others) to the filter list OR

let redmine.org project members enter a regex in the author filter.

That way, queries like this would be possible:

Show open patches authored by "Jérôme BATAILLE" OR  "Jan from www.plan.io"

History

#1 - 2013-03-13 01:31 - Mischa The Evil

Jan Niggemann wrote:

That way, queries like this would be possible:

Show open patches authored by "Jérôme BATAILLE" OR  "Jan from www.plan.io"

This is already, though implicitly, possible using manual URL-mangling of the author id:

All open patches authored by Jan from Planio www.plan.io on Redmine.org

All open patches authored by Jérôme BATAILLE on Redmine.org

It reminds me a bit on issue #4501 (which was in fact speaking about the watcher filter).

Just my two cents...

#2 - 2013-10-14 02:35 - Mischa The Evil

- Assignee deleted (Jean-Philippe Lang)

Jan Niggemann wrote:

Currently, the issue author filter is limited to redmine.org project members [...]

 This is default Redmine behavior AFAIK. Which brings me to the question, is this issue strictly about redmine.org (the category also suggests this)?

If yes, then the category should be changed (to something like issues) because it should be implemented in Redmine core first before it can be

enabled on redmine.org.

If no, well, then the category should be changed also. Though that raises the question why you have chosen to select Website as category in the first

place.

Can you shed some light on this, please?

Powered by TCPDF (www.tcpdf.org)

2024-03-13 1/1

http://www.plan.io
http://www.plan.io
http://www.plan.io
http://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=tracker_id&op%5Btracker_id%5D=%3D&v%5Btracker_id%5D%5B%5D=3&f%5B%5D=author_id&op%5Bauthor_id%5D=%3D&v%5Bauthor_id%5D%5B%5D=347&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=category&group_by=
http://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=tracker_id&op%5Btracker_id%5D=%3D&v%5Btracker_id%5D%5B%5D=3&f%5B%5D=author_id&op%5Bauthor_id%5D=%3D&v%5Bauthor_id%5D%5B%5D=36999&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=category&group_by=
https://www.redmine.org/issues/4501
http://www.tcpdf.org

